# frozen_string_literal: true

# app/hermes/models/concerns/common_field.rb
# app/controllers/concerns/test_concern.rb

module Hermes
  module Concerns
    module ChangeMinusTwoYearConcern
      extend ActiveSupport::Concern

      included do

        def get_minus_two_year
          change_minus_two_date = HERMES_CONFIG['change_minus_two_date'].present? && Date.parse(HERMES_CONFIG['change_minus_two_date'].to_s)
          change_minus_two_year = HERMES_CONFIG['change_minus_two_year']&.to_i
    
          year = DateTime.now.year - 2
          year = Date.today >= change_minus_two_date  ? change_minus_two_year : change_minus_two_year - 1 if change_minus_two_year && change_minus_two_date 

          year
        end 
      end
    end
  end
end
